<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org">

<head>
    <meta charset="UTF-8" />
    <title>Employee Attendance</title>

    <!-- if there must be multiple plugins, put here -->
    <link rel="stylesheet" th:href="@{assets/css/customCss/employee-edit.css}">
    <link rel="stylesheet" th:href="@{assets/vendors/datatables.net-bs4/dataTables.bootstrap4.css}">
    <link rel="stylesheet" th:href="@{assets/vendors/select2/select2.min.css}">
    <link rel="stylesheet" th:href="@{assets/vendors/select2-bootstrap-theme/select2-bootstrap.min.css}">
    <link rel="stylesheet" th:href="@{assets/vendors/bootstrap-datepicker/bootstrap-datepicker.min.css}">
    <link rel="stylesheet" th:href="@{assets/vendors/css/fixedColumns.bootstrap.min.css}">
    <!-- end -->
    <div th:replace="fragments/side-menu-header :: css-side"></div>

</head>

<body>
    <div class="container-scroller">
        <!-- partial:../../partials/_navbar.html -->
        <nav th:replace="fragments/side-menu-header :: navbar"></nav>
        <!-- partial -->
        <div class="container-fluid page-body-wrapper">
            <!-- partial:../../partials/_sidebar.html -->
            <nav th:replace="fragments/side-menu-menu :: sidebar"></nav>
            <!-- partial -->
            <div class="main-panel">
                <!-- content wrapper -->
                <div class="content-wrapper">
                    <div class="page-header">
                        <h3 class="page-title"> Employee </h3>
                        <nav aria-label="breadcrumb">
                            <ol class="breadcrumb">
                                <li class="breadcrumb-item"><a href="/dashboard">Dashboard</a></li>
                                <li class="breadcrumb-item active" aria-current="page">Example</li>
                            </ol>
                        </nav>
                    </div>

                    <!-- put your content here -->
                    <div class="card">
                        <div class="card-body" style="padding: 30px 0 0 0;">
                            <div class="template-demo d-flex justify-content-center bd-highlight mb-3">
                                <ul class="list-inline" style="border-bottom: 1px solid #afaaaa;">
                                    <li class="list-inline-item">
                                        <a th:href="@{/employee-edit}" class="btn btn-danger menuButton">General Info</a>
                                    </li>
                                    <li class="list-inline-item">
                                        <a href="#" class="btn btn-danger menuButton">Payroll</a>
                                    </li>
                                    <li class="list-inline-item">
                                        <button class="btn btn-danger menuButton dropdown-toggle" type="button" id="dropdownMenuButton3" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false"> Time Management </button>
                                        <div class="dropdown-menu" aria-labelledby="dropdownMenuButton3">
                                            <a class="dropdown-item" th:href="@{/employee-time-off}">Time Off</a>
                                            <a class="dropdown-item" th:href="@{/employee-attendance}">Attendance</a>
                                            <a class="dropdown-item" th:href="@{/employee-overtime}">Overtime</a>
                                            <!-- <div class="dropdown-divider"></div>
                                            <a class="dropdown-item" href="#">Separated link</a> -->
                                        </div>
                                    </li>
                                    <li class="list-inline-item">
                                        <button class="btn btn-danger menuButton dropdown-toggle" type="button" id="dropdownMenuButton3" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false"> Finance </button>
                                        <div class="dropdown-menu" aria-labelledby="dropdownMenuButton3">
                                            <h6 class="dropdown-header">Settings</h6>
                                            <a class="dropdown-item" href="#">Action</a>
                                            <a class="dropdown-item" href="#">Another action</a>
                                            <a class="dropdown-item" href="#">Something else here</a>
                                            <div class="dropdown-divider"></div>
                                            <a class="dropdown-item" href="#">Separated link</a>
                                        </div>
                                    </li>
                                    <li class="list-inline-item">
                                        <button class="btn btn-danger menuButton dropdown-toggle" type="button" id="dropdownMenuButton3" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false"> History </button>
                                        <div class="dropdown-menu" aria-labelledby="dropdownMenuButton3">
                                            <h6 class="dropdown-header">Settings</h6>
                                            <a class="dropdown-item" href="#">Action</a>
                                            <a class="dropdown-item" href="#">Another action</a>
                                            <a class="dropdown-item" href="#">Something else here</a>
                                            <div class="dropdown-divider"></div>
                                            <a class="dropdown-item" href="#">Separated link</a>
                                        </div>
                                    </li>
                                    <li class="list-inline-item">
                                        <button class="btn btn-danger menuButton dropdown-toggle" type="button" id="dropdownMenuButton3" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false"> More </button>
                                        <div class="dropdown-menu" aria-labelledby="dropdownMenuButton3">
                                            <h6 class="dropdown-header">Settings</h6>
                                            <a class="dropdown-item" href="#">Action</a>
                                            <a class="dropdown-item" href="#">Another action</a>
                                            <a class="dropdown-item" href="#">Something else here</a>
                                            <div class="dropdown-divider"></div>
                                            <a class="dropdown-item" href="#">Separated link</a>
                                        </div>
                                    </li>
                                </ul>
                            </div>
                        </div>

                        <div class="card-body">
                            <div class="col-sm-12">
                                <div class="row">
                                    <div class="col-sm-6" style="height: 50px;">
                                        <h4 class="card-title" style="margin-bottom: 10px;">Employee Dummy Name's attendance information</h4>
                                        <p class="card-description">This is summary of your employee attendance information.</p>
                                    </div>
                                    <div class="col-sm-6 d-flex flex-row-reverse" style="height: 50px;">
                                        <a th:href="@{/employee-attendance-view}" class="btn btn-info btn-fw" style="padding-top:18px;">VIEW ATTENDANCE</a> &nbsp;
                                        <button type="button" class="btn btn-info btn-fw" data-toggle="modal" data-target="#request">REQUEST SHIFT / ATTENDANCE</button>
                                    </div>
                                </div>
                            </div>
                            <hr />
                            <div class="col-lg-12">
                                <table class="table display" style="width:100%">
                                    <thead>
                                        <tr>
                                            <th>Request Type</th>
                                            <th>Created Date</th>
                                            <th>Start Date</th>
                                            <th>Status</th>
                                            <th class="text-center">Actions</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <tr>
                                            <td>Attendance</td>
                                            <td>2020-08-11</td>
                                            <td>2020-08-11</td>
                                            <td>Approved</td>
                                            <td class="text-center">
                                                <button class="btn btn-warning btn-sm" title="Detail" data-toggle="modal" data-target="#detail"><i class="fa fa-eye"></i> </button>
                                                <button class="btn btn-success btn-sm" title="Approval" data-toggle="modal" data-target="#approval"><i class="fa fa-check-square-o"></i> </button>
                                                <button class="btn btn-danger btn-sm" title="Cancel"><i class="fa fa-window-close"></i> </button>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td>Attendance</td>
                                            <td>2020-08-11</td>
                                            <td>2020-08-10</td>
                                            <td>Approved</td>
                                            <td class="text-center">
                                                <button class="btn btn-warning btn-sm" title="Detail"><i class="fa fa-eye"></i> </button>
                                                <button class="btn btn-success btn-sm" title="Approval"><i class="fa fa-check-square-o"></i> </button>
                                                <button class="btn btn-danger btn-sm" title="Cancel"><i class="fa fa-window-close"></i> </button>
                                            </td>
                                        </tr>
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>

                    <!-- Modal Request Shift / Attendance -->
                    <div class="modal fade" id="request" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
                        <div class="modal-dialog modal-lg d-flex justify-content-center">
                            <div class="modal-content col-sm-8">
                                <div class="modal-header">
                                    <h5 class="modal-title">Request</h5>
                                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                        <span aria-hidden="true">&times;</span>
                                    </button>
                                </div>
                                <form action="#">
                                    <div class="modal-body modal-scroll">
                                        <div class="row">
                                            <div class="col-sm-6">
                                                <div class="form-check form-check-flat form-check-primary">
                                                    <label class="form-check-label">
                                                    <input type="radio" class="form-check-input" name="optionsRadios" id="optionsRadios1" value=""> Shift </label>
                                                </div>
                                                <br />
                                                <div class="form-group">
                                                    <label for="exampleInputUsername1">Effective Date</label>
                                                    <div style="margin-top: -5px; height: 25px;" id="datepicker-popup" class="form-group input-group date datepicker">
                                                        <span class="input-group-addon input-group-append border-left">
                                                            <span class="fa fa-calendar input-group-text"></span>
                                                        </span>
                                                        <input type="text" class="form-control form-control-sm" id="effectiveDateShift" name="effectiveDateShift">
                                                    </div>
                                                    <label for="effectiveDateShift" class="validation_error_message mt-2 text-danger effectiveDateShift" style="margin-left: 5px;"></label>
                                                </div>
                                                <div class="form-group">
                                                    <label for="exampleInputEmail1">Current Shift</label>
                                                    <input type="text" class="form-control" id="currentShift" readonly>
                                                </div>
                                                <div class="form-group">
                                                    <label for="exampleInputPassword1">New Shift</label>
                                                    <select class="js-example-basic-single" style="width:100%" id="newShift">
                                                        <option value="">-Select Shift-</option> <!-- from modul time management -->
                                                    </select>
                                                </div>
                                            </div>
                                            <div class="col-sm-6">
                                                <div class="form-check form-check-flat form-check-primary">
                                                    <label class="form-check-label">
                                                    <input type="radio" class="form-check-input" name="optionsRadios" id="optionsRadios2" value=""> Attendance </label>
                                                </div>
                                                <br />
                                                <div class="form-group">
                                                    <label for="exampleInputUsername1">Effective Date</label>
                                                    <div style="margin-top: -5px; height: 25px;" id="datepicker-popup" class="form-group input-group date datepicker">
                                                        <span class="input-group-addon input-group-append border-left">
                                                            <span class="fa fa-calendar input-group-text"></span>
                                                        </span>
                                                        <input type="text" class="form-control form-control-sm" id="effectiveDateAttendance" name="effectiveDateAttendance">
                                                    </div>
                                                    <label for="effectiveDateAttendance" class="validation_error_message mt-2 text-danger effectiveDateAttendance" style="margin-left: 5px;"></label>
                                                </div>
                                                <div class="form-group">
                                                    <label for="exampleInputEmail1">Shift</label>
                                                    <input type="text" class="form-control" id="ShiftAttendance" readonly>
                                                </div>
                                                <div class="form-group row" style="margin:0 0 0 1px">
                                                    <div class="form-check col-sm-4" style="margin:-7px 0 0 0">
                                                        <label class="form-check-label">
                                                        <input type="checkbox" class="form-check-input" id="chkIn"> Check In </label>
                                                        <input type="text" class="form-control" id="checkIn">
                                                    </div>
                                                    <div class="form-check col-sm-4" style="margin:-7px 0 0 0">
                                                        <label class="form-check-label">
                                                        <input type="checkbox" class="form-check-input" id="chkOut"> Check Out </label>
                                                        <input type="text" class="form-control" id="checkOut">
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="form-group col-sm-12">
                                                <label for="exampleInputConfirmPassword1">Notes</label>
                                                <textarea class="form-control" id="notes" rows="4"></textarea>
                                            </div>
                                        </div>
                                    </div>

                                    <div class="modal-footer">
                                        <button type="button" class="btn btn-success">Submit</button>
                                        <button type="button" class="btn btn-light" data-dismiss="modal">Cancel</button>
                                    </div>
                                </form>
                            </div>
                        </div>
                    </div>

                    <!-- Modal Detail -->
                    <div class="modal fade" id="detail" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
                        <div class="modal-dialog modal-lg d-flex justify-content-center">
                            <div class="modal-content col-sm-8">
                                <div class="modal-header">
                                    <h5 class="modal-title">Detail Description</h5>
                                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                        <span aria-hidden="true">&times;</span>
                                    </button>
                                </div>

                                <div class="modal-body modal-scroll">
                                    <table>
                                        <tbody>
                                            <tr><td class="card-description">001.006 - Abdul Rohman Saleh</td></tr>
                                            <tr><td class="card-description">requesting Attendance</td></tr>
                                            <tr><td class="card-description">check in 08:00:00</td></tr>
                                            <tr><td class="card-description">check out 17:00:00</td></tr>
                                            <tr><td class="card-description">on 2020-08-11</td></tr>
                                            <tr><td class="card-description">Notes: Sentul</td></tr>
                                        </tbody>
                                    </table>
                                </div>

                                <div class="modal-footer">
                                    <button type="button" class="btn btn-light" data-dismiss="modal">Close</button>
                                </div>
                            </div>
                        </div>
                    </div>

                    <!-- Modal Approval -->
                    <div class="modal fade" id="approval" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
                        <div class="modal-dialog modal-lg d-flex justify-content-center">
                            <div class="modal-content col-sm-8">
                                <div class="modal-header">
                                    <h5 class="modal-title">Request Detail</h5>
                                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                        <span aria-hidden="true">&times;</span>
                                    </button>
                                </div>

                                <div class="modal-body modal-scroll">
                                    <table class="table table-bordered">
                                        <thead>
                                            <tr>
                                                <th>Approval</th>
                                                <th>Employee ID</th>
                                                <th>PIC</th>
                                                <th>Status</th>
                                                <th>Comment</th>
                                                <th>Decision By</th>
                                                <th>Updated Date</th>
                                            </tr>
                                        </thead>
                                        <tbody>
                                            <tr>
                                                <td>1</td>
                                                <td>018.279</td>
                                                <td>Prima Ema Delta, M.Psi, Psi</td>
                                                <td>Approved</td>
                                                <td></td>
                                                <td>Prima Ema Delta, M.Psi, Psi</td>
                                                <td>2020-08-24 09:58:00</td>
                                            </tr>
                                        </tbody>
                                    </table>
                                </div>

                                <div class="modal-footer">
                                    <button type="button" class="btn btn-light" data-dismiss="modal">Close</button>
                                </div>
                            </div>
                        </div>
                    </div>
                    
                </div>
                <!-- content-wrapper ends -->
                <!-- partial:../../partials/_footer.html -->
                <footer th:replace="fragments/side-menu-footer :: footer"></footer>
                <!-- partial -->
            </div>
            <!-- main-panel ends -->
        </div>
        <!-- page-body-wrapper ends -->
    </div>
    
    <div th:replace="fragments/side-menu-footer :: js"></div>

    <!-- Plugin js for this page -->
    <script th:src="@{assets/vendors/datatables.net/jquery.dataTables.js}"></script>
    <script th:src="@{assets/vendors/datatables.net-bs4/dataTables.bootstrap4.js}"></script>
    <script th:src="@{assets/vendors/select2/select2.min.js}"></script>
    <script th:src="@{assets/vendors/bootstrap-datepicker/bootstrap-datepicker.min.js}"></script>
    <script th:src="@{assets/js/modal-demo.js}"></script>
    <script th:src="@{assets/vendors/datatables.net/dataTables.fixedColumns.min.js}"></script>
    <!-- End plugin js for this page -->
    <!-- Custom js for this page -->
    <script th:src="@{assets/js/select2.js}"></script>
    <script th:src="@{assets/customJs/employee-attendance.js}"></script>
    <!-- End custom js for this page -->
</body>

</html>